<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:s="http://www.ldodds.com/ns/spooky"
                exclude-result-prefixes="s">

   <xsl:import href="spooky.xsl"/>

   <!-- my name -->
   <xsl:variable name="this" select="'Spooky HTML'"/>

   <!-- Generates an Ant target that will copy the prefab Ant build file for XSLT 
        based project from the spooky home directory into the project directory. 
        The prefab will be filtered to replace macros for the standard directory types -->
   <xsl:template name="makeBuildFile">
    <target name="makeBuildFile">
        <copy file="{$spooky-home}/xslt.xml"
                  tofile="{$home}/build.xml"
                  verbose="true"
                  overwrite="true">
            <filterset>
              <filter token="name" value="{$name}" />
              <filter token="desc" value="{$desc}" />
              <xsl:choose>
               <xsl:when test="/s:meta/s:transform">
                  <filter token="transform" value="${/meta/transform}"/>
               </xsl:when>
               <xsl:otherwise>
                  <filter token="transform" value="site.xsl"/>
               </xsl:otherwise>
              </xsl:choose>
              <xsl:choose>
               <xsl:when test="/s:meta/s:extension">
                  <filter token="extension" value="${/meta/extension}"/>
               </xsl:when>
               <xsl:otherwise>
                  <filter token="extension" value=".html"/>
               </xsl:otherwise>
              </xsl:choose>              
              <xsl:call-template name="makeDirectoryToken">
                 <xsl:with-param name="type" select="'src'"/>
              </xsl:call-template>
              <xsl:call-template name="makeDirectoryToken">
                 <xsl:with-param name="type" select="'bin'"/>
              </xsl:call-template>
            </filterset>
        </copy>
    </target>
   </xsl:template>

</xsl:stylesheet>